Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2018-01-13 17:12:17

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 746
Website

Error while upgrading to the latest version of dev 4.7

A site in standby, which worked very well under a version 4.7 before the themes (the folder theme did not exist), I replace the files by the last ones and I get this long error on a blank page, trying to reach the file / textpattern,

User_Error "Duplicate entry 'fr-yyyy-mm' for key 'lang'"
in /home/rouvroy/webapps/commune/textpattern/lib/txplib_db.php at line 410.
textpattern/lib/txplib_misc.php:1693 adminErrorHandler()
updateErrorHandler()
textpattern/lib/txplib_db.php:410 trigger_error()
textpattern/lib/txplib_db.php:460 safe_query()
textpattern/update/_to_4.7.0.php:50 safe_update()
textpattern/update/_update.php:91 include()
textpattern/index.php:194 include()

Fatal error: Uncaught Exception: update failed in /.../textpattern/lib/txplib_misc.php:1697 Stack trace: #0 [internal function]: updateErrorHandler(2, 'file_get_conten...', '/home/rouvroy/w...', 358, Array) #1 / /.../textpattern/vendors/Textpattern/L10n/Lang.php(358): file_get_contents('') #2 /.../textpattern/vendors/Textpattern/L10n/Lang.php(384): Textpattern\L10n\Lang->getPack('fr-fr') #3 /.../textpattern/update/_update.php(126): Textpattern\L10n\Lang->installFile('fr-fr') #4 /.../textpattern/index.php(194): include('/home/.../w...') #5 {main} thrown in /.../textpattern/lib/txplib_misc.php on line 1697

Offline

#2 2018-01-14 08:59:29

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 746
Website

Re: Error while upgrading to the latest version of dev 4.7

I was able to progress here by replacing the files by those of a previous version (from here 2 or 3 days).
No more error, I can connect to the admin. However, many FR translations have disappeared, and a tab with specialized content (smd_tabber) no longer works and leads to a “restricted contents” screen.

Offline

#3 2018-01-14 11:17:13

jakob
Moderator
From: Germany
Registered: 2005-01-20
Posts: 3,065
Website

Re: Error while upgrading to the latest version of dev 4.7

If you know which files you changed, or better what commit stage the old files were, one could compare the differences between the two commits.


TXP Builders – finely-crafted code, design and txp

Offline

#4 2018-01-14 20:18:38

jpdupont
Member
From: Virton (BE)
Registered: 2004-10-01
Posts: 746
Website

Re: Error while upgrading to the latest version of dev 4.7

Files from this commit :

Version de Textpattern CMS: 4.7.0-dev (41668271157c9f6f9f505b0ee1bdae92)
Dernière mise à jour: 2018-01-11 16:48:17/2018-01-11 16:38:54

Offline

#5 2018-03-14 18:40:27

saccade
Plugin Author
From: Neubeuern, Germany
Registered: 2004-11-05
Posts: 475

Re: Error while upgrading to the latest version of dev 4.7

I have essentially the same error message (but with de-de), but do not understand which files to change or replace.
Can anyone give me a hint?

Just guesses:
The L10n-directory has two files in it.
The textpattern/lang-directory has all files in it – but maybe there is a problem with their name?
there’s only
de.ini
maybe there should be de-de.ini as well?

EDIT
good guess ;) duplicating de.ini into de-de.ini got me one step further.
I can see all admin tabs now,
only diagnosis is empty.
EDIT2
and forms, pages, sheets are empty
the public side doesn’t work and gives a single message “Unbekannte Sektion”

Last edited by saccade (2018-03-14 19:24:20)

Offline

Board footer

Powered by FluxBB